import theater.Actor;

import java.awt.Color;


public class Fragment extends Actor {
    protected Color color;

    public Fragment(Color color) {
        this.color = color;
        setImage(new FragmentImage(CurvesWorld.FRAGMENT_SIZE, color));
        this.setHandlingMouseEvents(false);
    }

    public Color getColor() {
        return this.color;
    }
}
